Quassel IRC - Bug #930

"show system tray icon" setting no effect
03/04/2010 09:38 PM - katastrophe

Status: Resolved Start date: 03/04/2010
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.6-pre 0S: Linux
Description

the quassel tray icon is always shown, if i enable the option or not. kde integration enabled

Associated revisions

Revision 55362eeaa19678bd8ba36ecce134d98cc0d7eccd - 04/13/2010 05:05 PM - Manuel Nickschas

Fix visibility issues with StatusNotifier

Properly handle registration on DBus according to the "Show tray icon" setting. Also,
clean up a isVisible() and isSystemTrayAvailable() a bit across the hierarchy.

Fixes #930.
Revision 55362eea - 04/13/2010 05:05 PM - Manuel Nickschas
Fix visibility issues with StatusNotifier

Properly handle registration on DBus according to the "Show tray icon" setting. Also,
clean up a isVisible() and isSystemTrayAvailable() a bit across the hierarchy.

Fixes #930.
Revision 36e8b4acbff3f1830421d010b14e47da3d9ce61e - 04/13/2010 05:06 PM - Manuel Nickschas
Fix visibility issues with StatusNotifier

Properly handle registration on DBus according to the "Show tray icon" setting. Also,
clean up a isVisible() and isSystemTrayAvailable() a bit across the hierarchy.

Fixes #930.
Revision 36e8b4ac - 04/13/2010 05:06 PM - Manuel Nickschas
Fix visibility issues with StatusNotifier

Properly handle registration on DBus according to the "Show tray icon" setting. Also,
clean up aisVisible() and isSystemTrayAvailable() a bit across the hierarchy.

Fixes #930.

History

#1 - 03/09/2010 07:58 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.6.0

#2 - 04/13/2010 06:31 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 36e8b4acbff3f1830421d010b14e47da3d9cebie.
